package validator;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

public class AccountValidator implements Validator {
  public void validate(FacesContext context, UIComponent component, Object value)
      throws ValidatorException {
    String str = (String) component.getAttributes().get("length");
    int length = 0;
    try {
      length = Integer.parseInt(str);
    } catch (NumberFormatException e) {
    }
    String account = (String) value;
    if ((account == null) || (account.length() != length)) {
      FacesMessage message = new FacesMessage("ԍ" + length + "łȂ΂Ȃ܂");
      throw new ValidatorException(message);
    }
    for (int i = 0; i < account.length(); i++) {
      if (!Character.isDigit(account.charAt(i))) {
        FacesMessage message = new FacesMessage("ԍɐȊO܂܂Ă܂");
        context.addMessage(component.getClientId(context), message);
        context.renderResponse();
        return;
      }
    }
  }
}
