<%@ page contentType="text/html; charset=Shift_JIS" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<html>
<head>
<title>Transactions</title>
<style type="text/css">
.header {  text-decoration:underline  }
.oddRow {  background-color: rgb(200, 200, 200);  }
.evenRow {  background-color: white;  }
.normal {  text-align: center;  }
.amount {  text-align: right;  }
</style>
</head>
<body bgcolor="white">
<f:view>
  <h:graphicImage url="JSFBank.png" alt="JSFBank"/><br>
  <h:form>
    <h:dataTable value="#{account.transactionModel}" var="item">
      <f:attribute name="headerClass" value="header"/>
      <f:attribute name="columnClasses" value="normal, normal, normal, amount"/>
      <f:attribute name="rowClasses" value="oddRow, evenRow"/>

      <f:facet name="header">
        <h:outputText value="ʒ\"/>
      </f:facet>
      <h:column>
        <h:selectBooleanCheckbox id="check" value="#{item.selected}"/>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="t"/>
        </f:facet>
        <h:outputLabel for="check" value="#{item.date}">
          <f:convertDateTime dateStyle="medium"/>
        </h:outputLabel>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value=""/>
        </f:facet>
        <h:outputLabel for="check">
          <h:outputText value="#{item.name}"/>
        </h:outputLabel>
      </h:column>
      <h:column>
        <f:facet name="header">
          <h:outputText value="z"/>
        </f:facet>
        <h:outputLabel for="check" value="#{item.amount}"/>
      </h:column>
    </h:dataTable>
    <h:commandButton action="#{account.transactionDetail}" value=""/>

  </h:form>
  <h:outputLink value="showAccount.jsp" title="߂">
    <f:verbatim><font color="red">Back</font></f:verbatim>
  </h:outputLink>
</f:view>
</body>
</html>  