package bank;

import java.util.ArrayList;
import java.util.List;
import java.util.ResourceBundle;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.model.DataModel;
import javax.faces.model.ListDataModel;
import javax.faces.validator.ValidatorException;

public class AccountBean {
  private String _accountNumber;
  private String _password;
  private int _balance;
  // OCɎsǂ
  private boolean _failed;

  private List _transactions;
  
  // ݑIĂ
  private List _selected;

  // bZ[W\[X
  private ResourceBundle _resources;
  
  public AccountBean() {
    _failed = false;
  }

  // ԍ
  public String getAccountNumber() {
    return _accountNumber;
  }
  public void setAccountNumber(String accountNumber) {
    _accountNumber = accountNumber;
  }
  // pX[h
  public String getPassword() {
    return _password;
  }
  public void setPassword(String password) {
    _password = password;
  }
  // c
  public int getBalance() {
    return _balance;
  }
  public void setBalance(int balance) {
    _balance = balance;
  }
  // bZ[W
  public String getMessage() {
    if (_failed) {
      return "ԍ܂̓pX[hԈĂ܂";
    } else {
      return "ԍƃpX[hăOC{^Ă";
    }
  }
  // OC
  public String login() {
    boolean checkResult = AccountReader.checkPassword(this);
    if (checkResult) {
      _failed = false;
      return "succeeded";
    } else {
      _failed = true;
      return "failed";
    }
  }
  
  public void setTransactions(List transactions) {
    _transactions = transactions;
    _transactionModel = new ListDataModel();
    _transactionModel.setWrappedData(_transactions);
  }
  public List getTransactions() {
    return _transactions;
  }

  private DataModel _transactionModel;
  public DataModel getTransactionModel() {
    return _transactionModel;
  }
  
  public String transactionDetail() {
    _selected = new ArrayList();
    for (int i = 0; i < _transactions.size(); i++) {
      Transaction transaction = (Transaction) _transactions.get(i);
      if (transaction.isSelected()) {
        _selected.add(transaction);
      }
    }
    return "";
  }
  public List getSelectedTransaction() {
    return _selected;
  }
  
  public void addTransaction(Transaction transaction) {
    _transactions.add(transaction);
  }

  public void validateAccount(FacesContext context, UIComponent component,
      Object value) throws ValidatorException {
    String str = (String) component.getAttributes().get("length");
    int length = 0;
    try {
      length = Integer.parseInt(str);
    } catch (NumberFormatException e) {
    }
    String account = (String) value;
    if ((account == null) || (account.length() != length)) {
      FacesMessage message = new FacesMessage("ԍ" + length + "łȂ΂Ȃ܂");
      throw new ValidatorException(message);
    }
    for (int i = 0; i < account.length(); i++) {
      if (!Character.isDigit(account.charAt(i))) {
        FacesMessage message = new FacesMessage("ԍɐȊO܂܂Ă܂");
        context.addMessage(component.getClientId(context), message);
        context.renderResponse();
        return;
      }
    }
  }
}
