package bank;

import java.util.Locale;
import java.util.ResourceBundle;

import javax.faces.context.FacesContext;

public class AccountBean {
  private String _accountNumber;
  private String _password;
  private int _balance;
  // OCɎsǂ
  private boolean _failed;

  // bZ[W\[X
  private ResourceBundle _resources;
  
  public AccountBean() {
    _failed = false;
  }

  // ԍ
  public String getAccountNumber() {
    return _accountNumber;
  }
  public void setAccountNumber(String accountNumber) {
    _accountNumber = accountNumber;
  }
  // pX[h
  public String getPassword() {
    return _password;
  }
  public void setPassword(String password) {
    _password = password;
  }
  // c
  public int getBalance() {
    return _balance;
  }
  public void setBalance(int balance) {
    _balance = balance;
  }
  // bZ[W
  public String getMessage() {
    if (_resources == null) {
      FacesContext ctx = FacesContext.getCurrentInstance();
      String bundleName = ctx.getApplication().getMessageBundle();
      Locale locale = ctx.getViewRoot().getLocale();
      _resources = ResourceBundle.getBundle(bundleName, locale);
    }
    
    if (_failed) {
      return _resources.getString("loginFailed");
    } else {
      return _resources.getString("loginPrompt");
    }
  }

  // OC
  public String login() {
    if ("1234567".equals(_accountNumber) & "4321".equals(_password)) {
      _failed = false;
      return "succeeded";
    } else {
      _failed = true;
      return "failed";
    }
  }

}
