<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<html>
<head><title>Login</title></head>
<body bgcolor="white">
<f:loadBundle basename="bank.Resources" var="bundle"/>
<f:view>
  <h:outputText value="#{bundle.welcome}"/>
  <h:form>
    <h:panelGrid columns="2">
    <h:outputText value="#{bundle.accountNumber}"/>
    <h:inputText id="accountNumber" value="#{account.accountNumber}" required="true">
      <f:validateLength minimum="7"/>
    </h:inputText>
    <h:outputText value="#{bundle.password}"/>
    <h:inputSecret id="password" value="#{account.password}"/>
    </h:panelGrid>
    <h:message for="accountNumber"/><br>
    <h:outputText value="#{account.message}"/><br>
    <h:commandButton id="submit" action="#{account.login}" value="#{bundle.login}"/>
  </h:form>
</f:view>
</body>
</html>  
