package bank;

import java.util.Date;
import java.util.Map;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;

public class TransferBean {
  private String _accountNumber;
  public void setAccountNumber(String accountNumber) {
    _accountNumber = accountNumber;
  }
  public String getAccountNumber() {
    return _accountNumber;
  }
  
  private String _memo;
  public void setMemo(String memo) {
    _memo = memo;
  }
  public String getMemo() {
    return _memo;
  }
  
  private String _accountKind;
  public void setAccountKind(String accountKind) {
    _accountKind = accountKind;
  }
  public String getAccountKind() {
    return _accountKind;
  }

  private int _amount;
  public void setAmount(int amount) {
    _amount = amount;
  }
  public int getAmount() {
    return _amount;
  }

  private Map _normalOrExpressMap;
  public void setNormalOrExpressMap(Map map) {
    _normalOrExpressMap = map;
  }
  public Map getNormalOrExpressMap() {
    return _normalOrExpressMap;
  }
  
  private String _normalOrExpress;
  public void setNormalOrExpress(String normalOrExpress) {
    _normalOrExpress = normalOrExpress;
  }
  public String getNormalOrExpress() {
    return _normalOrExpress;
  }
  public void validateAmount(FacesContext context, UIComponent component, Object value) {
    AccountBean account = (AccountBean) context.getApplication().createValueBinding("#{account}").getValue(context);
    int amount = ((Integer) value).intValue();
    if (account.getBalance() < amount) {
      FacesMessage message = new FacesMessage("c𒴂Ă̐U݂͂ł܂");
      throw new ValidatorException(message);
    }
  }
  
  public String transfer() {
    // U荞ݏ
    FacesContext context = FacesContext.getCurrentInstance();
    AccountBean account = (AccountBean) context.getApplication().createValueBinding("#{account}").getValue(context);
    int newBalance = account.getBalance() - _amount;
    account.setBalance(newBalance);
    Transaction transaction = new Transaction("U", new Date(), _amount, _memo);
    account.addTransaction(transaction);
    return "execute";
  }
}
