package zipcode;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;
public class ZipConverter implements Converter {
  public Object getAsObject(FacesContext context, UIComponent component, String value) {
    String major, minor;
    if ((value != null) && (value.length() == 8) && (value.charAt(3) == '-')) {
      major = value.substring(0, 3);
      minor = value.substring(4);
    } else if ((value != null) && (value.length() == 7)) {
      major = value.substring(0, 3);
      minor = value.substring(3);
    } else {
      FacesMessage message = new FacesMessage("X֔ԍ̌`ԈĂ܂");
      throw new ConverterException(message);
    }
    return new ZipCode(major, minor);
  }
  public String getAsString(FacesContext context, UIComponent component, Object value) {
    ZipCode code = (ZipCode) value;
    return code.getMajor() + "-" + code.getMinor();
  }
}
